# mergetb::api
# ------
#
# This deployment contains the mergetb commission service definition and 
# underlying implementation
#

kind: Service
apiVersion: v1
metadata:
  name: commission
spec:
  selector:
    app: portal
    component: commission
  ports:
  - protocol: "TCP"
    port: 6000
    targetPort: 6000
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: commission
spec:
  replicas: {{ in.merge.replicas }}
  selector:
    matchLabels:
      app: portal
      component: commission
  template:
    metadata:
      labels:
        app: portal
        component: commission
    spec:
      tolerations:
       - key: dedicated
         operator: Equal
         value: service_worker
         effect: NoSchedule
      containers:
        - name: commission
          image: "{{ in.merge.registry.reg }}/{{ in.merge.registry.org }}/commission:{{ in.merge.registry.tag }}"
          imagePullPolicy: Always
          ports:
            - name: grpc
              containerPort: 6000
          volumeMounts:
            - name: config-volume
              mountPath: /etc/merge
            - name: db-cert-volume
              mountPath: /dbcerts 
      volumes:
        - name: config-volume
          configMap:
            name: merge-config
        - name: db-cert-volume  
          configMap:            
            name: merge-db-cert
